<Project Sdk="Microsoft.NET.Sdk">

  <Import Project="..\..\common.props" />

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <RootNamespace>JiShe.CollectBus</RootNamespace>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="FodyWeavers.xml" />
    <None Remove="JiShe.CollectBus.Application.abppkg" />
  </ItemGroup>

  <ItemGroup>

    <PackageReference Include="Volo.Abp.AspNetCore.Mvc" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.AutoMapper" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.BackgroundWorkers.Hangfire" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.Ddd.Application" Version="8.3.3" />
		<PackageReference Include="TouchSocket" Version="2.1.9" />
    <PackageReference Include="TouchSocket.Hosting" Version="2.1.9" />
    <PackageReference Include="DotNetCore.CAP" Version="8.3.1" />

		<ProjectReference Include="..\JiShe.CollectBus.Application.Contracts\JiShe.CollectBus.Application.Contracts.csproj" />
    <ProjectReference Include="..\JiShe.CollectBus.Common\JiShe.CollectBus.Common.csproj" />
    <ProjectReference Include="..\JiShe.CollectBus.Domain\JiShe.CollectBus.Domain.csproj" />
    <ProjectReference Include="..\JiShe.CollectBus.FreeSql\JiShe.CollectBus.FreeSql.csproj" />
    <ProjectReference Include="..\JiShe.CollectBus.Protocol.Contracts\JiShe.CollectBus.Protocol.Contracts.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="新文件夹\" />
  </ItemGroup>

</Project>
